Package org.tmatesoft.svn.core.wc.admin

# Class SVNReplayHandler

java.lang.Object
org.tmatesoft.svn.core.wc.admin.SVNReplayHandler

All Implemented Interfaces:
  `ISVNReplayHandler`

public class SVNReplayHandler extends Object implements ISVNReplayHandler
`SVNReplayHandler` is an implementation of `ISVNReplayHandler` that is used in `SVNAdminClient.doSynchronize(org.tmatesoft.svn.core.SVNURL)`.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Constructor
Description
`SVNReplayHandler(SVNRepository targetRepository, boolean hasCommitRevPropsCapability, ISVNLogEntryHandler logEntryHandler, org.tmatesoft.svn.util.ISVNDebugLog debugLog, ISVNEventHandler canceller, SVNAdminClient adminClient)`
Creates a new replay handler.

## Method Summary

Modifier and Type
Method
Description
`int`
`getNormalizedNodePropsCount()`
`int`
`getNormalizedRevPropsCount()`
`void`
`handleEndRevision(long revision, SVNProperties revisionProperties, ISVNEditor editor)`
Handles the end of replaying a next revision.
`ISVNEditor`
`handleStartRevision(long revision, SVNProperties revisionProperties)`
Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVNReplayHandler

public SVNReplayHandler(SVNRepository targetRepository, boolean hasCommitRevPropsCapability, ISVNLogEntryHandler logEntryHandler, org.tmatesoft.svn.util.ISVNDebugLog debugLog, ISVNEventHandler canceller, SVNAdminClient adminClient)
Creates a new replay handler.

Parameters:
  `targetRepository` -
  `hasCommitRevPropsCapability` -
  `logEntryHandler` -
  `debugLog` -
  `canceller` -
  `adminClient` -

## Method Details

### handleStartRevision

public ISVNEditor handleStartRevision(long revision, SVNProperties revisionProperties) throws SVNException
Description copied from interface: `ISVNReplayHandler`
Handles the start of replaying a next revision and returns an editor through which the revision will be replayed.

Specified by:
  `handleStartRevision` in interface `ISVNReplayHandler`
Parameters:
  `revision` -
  `revisionProperties` -
Returns:
  editor to replicate the revision
Throws:
  `SVNException`

### handleEndRevision

public void handleEndRevision(long revision, SVNProperties revisionProperties, ISVNEditor editor) throws SVNException
Description copied from interface: `ISVNReplayHandler`
Handles the end of replaying a next revision. In this method the implementor should close the `editor`.

Specified by:
  `handleEndRevision` in interface `ISVNReplayHandler`
Parameters:
  `revision` -
  `revisionProperties` -
  `editor` -
Throws:
  `SVNException`

### getNormalizedRevPropsCount

public int getNormalizedRevPropsCount()

### getNormalizedNodePropsCount

public int getNormalizedNodePropsCount()